Subject: Re: [PATCH/RFC] remove #!interpreter line from shell libraries

From: Clemens Buchacher <[email-masked]>
Date: Fri, 9 Mar 2012 08:58:20 +0100

Hi Jonathan,

On Thu, Mar 08, 2012 at 06:14:04AM -0600, Jonathan Nieder wrote:
>
> --- a/git-mergetool--lib.sh
> +++ b/git-mergetool--lib.sh
> @@ -1,5 +1,4 @@
> -#!/bin/sh
> -# git-mergetool--lib is a library for common merge tool functions
> +# git-mergetool--lib is a shell library for common merge tool functions

This breaks vim's filetype detection. It can still guess the file type
from the .sh extension, but we strip the extension during the build.
Although one should typically work with the source files, in the past I
did have a look at the installed files on a few occasions. Maybe because
I did not know better, or because the source code was not available to
me. So for me, this outweighs the aesthetic advantages, if any.

Clemens